Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    shamstabrizicode
    @shamstabrizicode
    do i have to anything else?
    or am I good to go now?
    updating the wallet does update the node or im getting confused?
    jaspervdm
    @jaspervdm
    did you set a custom node url in your config? if not, you are using our hosted node, which is already upgraded to v2. if you are running your own node, you need to download the grin 2.0.0 binary
    shamstabrizicode
    @shamstabrizicode
    https://www.youtube.com/watch?v=0Ej9OTWemYo i did use this tutorial to install the wallet just watching it back again looks like is the hosted node, right?
    jaspervdm
    @jaspervdm
    ah yeah now i understand why you had troubles updating, you dont need to download source code and compile manually, all you have to do is run the installation script
    and yes you are using our node so youre good to go
    for trust and privacy reasons i would still recommend running your own node but that is optional
    shamstabrizicode
    @shamstabrizicode
    ok thank you!
    fueleh
    @fueleh
    i tried running my own node on google cloud but it got shutdown 2 times now cuz "cryptocurrency mining".... :(
    Blade Doyle
    @bladedoyle
    lol, if you give them a credit card number they stop doing that
    My experience is that if you are paying them real money (as opposed to using the new account credits) they let you run what you like
    Neil Schofield
    @schofieldn

    Trying to compile from master with rust 1.38.0 and getting the following:

       Compiling env_logger v0.6.1
       Compiling rustc_version v0.2.3
    error: proc-macro derive panicked
      --> /home/neil/.cargo/registry/src/github.com-1ecc6299db9ec823/grin_secp256k1zkp-0.7.7/src/key.rs:32:10
       |
    32 | #[derive(Zeroize)]
       |          ^^^^^^^
       |
       = help: message: unknown zeroize attribute: (drop)
    
    error: aborting due to previous error

    Anyone know what I'm doing wrong?

    Blade Doyle
    @bladedoyle
    Have you tried update to the latest rust version? rustup update
    Neil Schofield
    @schofieldn
    I think that may have been when the problem started
    Blade Doyle
    @bladedoyle
    oh
    Ya, confirmed, latest rust version fails to build master branch of wallet713
    Neil Schofield
    @schofieldn
    Ah I see... not much more info needed from me then I guess... will leave it with you
    Blade Doyle
    @bladedoyle
    rustup install 1.37.0
    then cargo clean then build again
    Neil Schofield
    @schofieldn
    I've still got the binary I built from a relatively recent master using previous rust, so not a big deal for me atm
    Blade Doyle
    @bladedoyle
    actually thats not quite right, should be:
    rustup install 1.37.0
    rustup default 1.37.0
    cargo clean
    cargo build
    You could file a bug against github wallet713 project. But the devs will probably see this so maybe not 100% necessary
    Neil Schofield
    @schofieldn
    Issue #182 created... feel free to add appropriate tags or additional info
    lehnberg
    @lehnberg
    mattt21
    @mattt21
    Hey guys, how can we build 713 for windows?
    samholmes
    @samholmes
    What's up with 713.grinswap ?
    How do I swap BTC to GRIN using 713.grinswap?
    bitcoineasy
    @bitcoineasy
    hi, I wasnt able to receive Grin from Tradeogre with wallet713. They use the receive.input file. I got the error message "incoming slate is not compatible with this wallet". I was able to withdraw with Grin++
    AnthonyJoon
    @AnthonyJoon
    Hey everyone what exchanges currently support grinbox for wallet713?
    Also why did grin++ take support for grinbox off ?
    @lehnberg
    lehnberg
    @lehnberg
    Hi @AnthonyJoon - I didn't know that grin++ has disabled grinbox support, probably best to ask @davidburkett about that.
    David Burkett
    @DavidBurkett
    @AnthonyJoon grinbox continued to work well, but nobody was using it due to lack of exchange support. Supporting several different addresses was confusing to users, and was causing a maintenance & support headache for myself. So, I dropped it when tor support was added.
    AnthonyJoon
    @AnthonyJoon
    What’s do you guys think about Tangem card and grin.
    @davidburkett and @lehnberg
    Lulu
    @kdesigns
    I have an older version of wallet713. What is the best way to update to the latest version? I can't find that in the docs.
    Lulu
    @kdesigns
    never mind